Author: Adrian Föder Category: JavaScript
Created: 2013-07-30 Assigned To:
Subject: URI to imageWithMetadata action is hard coded
Description

currently, the imageWithMetadata action used in the Image inspector, is hard coded in

Packages/Application/TYPO3.Neos/Resources/Public/JavaScript/Content/Inspector/Editors/ImageEditor.js:500
1that.set('_loadPreviewImageHandler', $.get('/neos/content/imageWithMetadata/' + imageVariant.originalImage, function
(result) {
2...

this should be changed obviously; a suggestion was

to create a URL in the JavaScriptConfigurationViewHelper to the content controller and set window.T3Configuration.ContentUri or
similar and use that instead in the ImageEditor

but maybe an overall concept should be thought about which serves URIs generally.

History
#1 - 2013-08-26 14:07 - Adrian Föder

update: neos/content/uploadImage is also such a hardcoded URI.

#2 - 2014-05-07 09:29 - Adrian Föder
- Status changed from New to Accepted
- Assigned To set to Adrian Föder
- Target version set to 1.1

#3 - 2014-05-07 10:23 - Aske Ertmann
- Status changed from Accepted to Resolved
- Assigned To deleted (Adrian Föder)
- % Done changed from 0 to 100

Has been fixed with https://review.typo3.org/#/c/25204/
